Summary:	An X Window System based news reader
Name:		xrn
Version:        9.02
Release:        %mkrel 16
License:	BSD
Group:		Networking/News
BuildRequires:	X11-devel, bison, flex, libxpm-devel, xorg-x11 imake

Source0:	%{name}-%{version}.tar.bz2
Patch0:		xrn-9.02-rh.patch.bz2
Patch1:		xrn-imake.patch.bz2

URL:		ftp://ftp.x.org/contrib/applications/xrn

%description
A simple Usenet News reader for the X Window System.  Xrn allows you to
point and click your way through reading, replying and posting news
messages.

Install the xrn package if you need a simple news reader for X.

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%make install install.man DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-xrn.desktop
[Desktop Entry]
Type=Application
Categories=News;
Name=Xrn
Comment=News reader
Exec=/usr/X11R6/bin/xrn
Icon=news_section
EOF


%post
%{update_menus}
  
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.Linux TODO COMMON-PROBLMS COPYRIGHT CREDITS
%config(noreplace) %_sysconfdir/X11/app-defaults/XRn
%_bindir/xrn
%_mandir/man1/xrn.1*
/usr/lib/X11/app-defaults/XRn
/usr/lib/X11/app-defaults

%{_datadir}/applications/mandriva-*.desktop




%changelog
* Thu Dec 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 9.02-16mdv2008.1
+ Revision: 135559
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- fix build on x86_64
- adapt to new X11 layout
- buildrequires xmkmf
- buildrequires X11-devel instead of XFree86-devel
- import xrn


* Sun Jan 08 2006 Anssi Hannula <anssi@mandriva.org> 9.02-15mdk
- fix buildrequires for x86_64

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 9.02-14mdk
- Fix BuildRequires

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 9.02-13mdk
- Rebuild

* Sat May 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 9.02-12mdk
- rebuild for rpm 4.2

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 9.02-11mdk
- Fix menu entry (png icon)

* Wed Aug 01 2001 Stefan van der Eijk <stefan@eijk.nu> 9.02-10mdk
- BuildRequires: bison, flex

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 9.02-9mdk
- BuildRequires: libxpm4-devel

* Sat Dec 16 2000 Etienne Faure  <etienne@mandraksoft.com> 9.02-8mdk
- cleaned menu entry
- added normal and large icons

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 9.02-7mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.02-6mdk
- major spec cleaning

* Thu Jul 19 2000 Etienne Faure <etienne@mandrakesoft.com> 9.02-5mdk
- added the /usr/doc/xrn folder to installed files
 
* Thu Jul 19 2000 etienne Faure <etienne@mandrakesoft.com> 9.02-4mdk
- bziped xrn.xpm icon

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 9.02-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 9.02-2mdk
- Added menu entry

* Tue Mar 28 2000 dam's <damien@mandrakesoft.com> 9.02-1mdk
- Release.

* Thu Nov 25 1999 Florent Villard <warly@mandrakesoft.com>
- spec file cleaning 

* Thu May  6 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- handle RPM_OPT_FLAGS
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- add wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
